Package org.drinkless.tdlib

# Class TdApi.BanGroupCallParticipants

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.BanGroupCallParticipants

Enclosing class:
  `TdApi`

public static class TdApi.BanGroupCallParticipants extends TdApi.Function<TdApi.Ok>
Bans users from a group call not bound to a chat; requires groupCall.isOwned. Only the owner of the group call can invite the banned users back.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `groupCallId`
  Group call identifier.
  `long[]`
  `userIds`
  Identifiers of group call participants to ban; identifiers of unknown users from the update updateGroupCallParticipants can be also passed to the method.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BanGroupCallParticipants()`
  Default constructor for a function, which bans users from a group call not bound to a chat; requires groupCall.isOwned.
  `BanGroupCallParticipants(int groupCallId, long[] userIds)`
  Creates a function, which bans users from a group call not bound to a chat; requires groupCall.isOwned.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Group call identifier.

  - ### userIds

    public long[] userIds
    Identifiers of group call participants to ban; identifiers of unknown users from the update updateGroupCallParticipants can be also passed to the method.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BanGroupCallParticipants

    public BanGroupCallParticipants()
    Default constructor for a function, which bans users from a group call not bound to a chat; requires groupCall.isOwned. Only the owner of the group call can invite the banned users back.

    Returns `Ok`

  - ### BanGroupCallParticipants

    public BanGroupCallParticipants(int groupCallId, long[] userIds)
    Creates a function, which bans users from a group call not bound to a chat; requires groupCall.isOwned. Only the owner of the group call can invite the banned users back.

    Returns `Ok`

    Parameters:
      `groupCallId` - Group call identifier.
      `userIds` - Identifiers of group call participants to ban; identifiers of unknown users from the update updateGroupCallParticipants can be also passed to the method.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR